#### D.10.1.13 permute_L

Procedure from library `brnoeth.lib` (see brnoeth_lib).

Usage:
  permute_L( L, P ); L,P either intvecs or lists

Return:
  list obtained from L by applying the permutation given by P.

Note:
  If P is a list, all entries must be integers.

Example:

    LIB "brnoeth.lib";
    list L=list();
    L[1]="a";
    L[2]="b";
    L[3]="c";
    L[4]="d";
    intvec P=1,3,4,2;
    // the list L is permuted according to P :
    permute_L(L,P);
    ==> [1]:
    ==>    a
    ==> [2]:
    ==>    c
    ==> [3]:
    ==>    d
    ==> [4]:
    ==>    b

See also: AGcode_Omega; prepSV; sys_code.

User manual for Singular version 4.4.1, 2025, generated by texi2html.